--[[
local magazine_template = {
	ammo_type = {
        action = {
          {
            action_delivery = {
              {
                source_effects = {
                  {
                    entity_name = "explosion-gunshot",
                    type = "create-explosion"
                  }
                },
                type = "instant"
              }
            },
            type = "direct"
          },
          {
            action_delivery = {
              {
                direction_deviation = 0.02,
                max_range = ,
                projectile = ,
                range_deviation = 0.02,
                starting_speed = ,
                type = "projectile"
              }
            },
            type = "direct"
          }
        },
        category = "bullet",
        target_type = "direction"
      },
      icon = ,
      icon_size = ,
      magazine_size = ,
      name = ,
      order = ,
      stack_size = 200,
      subgroup = "ammo",
      type = "ammo"
}
]]--
function make_sniper_ammo(ammo_name, sniper)	
	local old_ammo = data.raw.ammo[ammo_name]
	local oldpara  = {
		icon         = old_ammo["icon"],
		iconsize     = old_ammo["icon_size"],
		order        = old_ammo["order"],
		magazinesize = old_ammo["magazine_size"],
		stacksize    = old_ammo["stack_size"]
	}

	local magazine_template = {
	ammo_type = {
        action = {
          {
            action_delivery = {
              {
                source_effects = {
                  {
                    entity_name = "explosion-gunshot",
                    type        = "create-explosion"
                  }
                },
                type = "instant"
              }
            },
            type = "direct"
          },
          {
            action_delivery = {
              {
                direction_deviation = 0.02,
                max_range           = sniper.range,
                projectile          = ammo_name,
                range_deviation     = 0.02,
                starting_speed      = sniper.speed,
                type                = "projectile"
              }
            },
            type = "direct"
          }
        },
        category    = "bullet",
        target_type = "direction"
      },
      icon          = oldpara.icon,
      icon_size     = oldpara.iconsize,
      magazine_size = oldpara.magazinesize,
      name          = ammo_name.."-sniper",
      order         = oldpara.order,
      stack_size    = oldpara.stack_size,
      subgroup      = "ammo",
      type          = "ammo"
	}
	data:extend({magazine_template})
end






--[[
function make_sniper_ammo(ammo_name, sniper)
	local sniper_ammo = table.deepcopy(data.raw.ammo.ammo_name)
	for _, action in pairs(ammo.ammo_type.action) do
		if action.max_range then action.max_range = sniper.range end
		if action.starting_speed then action.starting_speed = sniper.speed end
	end
--	sniper_ammo.ammo_type.action[2].action_delivery["max_range"] = sniper.range		
--	sniper_ammo.ammo_type.action[2].action_delivery["starting_speed"] = sniper.speed
	sniper_ammo["magazine_size"] = sniper_ammo["magazine_size"]/2
	sniper_ammo.ammo_type["category"] = "sniper-bullet"
	sniper_ammo["name"] = sniper_ammo["name"].."-sniper"
	sniper_ammo["stack_size"] = sniper_ammo["stack_size"]/2
	data:extend({{sniper_ammo}})
end
]]--

--[[local sniper_ammo = {
      ammo_type = {
        action = {
          {
            action_delivery = {
              {
                source_effects = {
                  {
                    entity_name = "explosion-gunshot",
                    type = "create-explosion"
                  }
                },
                type = "instant"
              }
            },
            type = "direct"
          },
          {
            action_delivery = {
              {
                direction_deviation = 0.02,
                max_range = sniper_range,
                projectile = old_ammo_name,
                range_deviation = 0.02,
                starting_speed = sniper_speed,
                type = "projectile"
              }
            },
            type = "direct"
          }
        },
        category = "bullet",
        target_type = "direction"
      },
      icon = old_icon,
      icon_size = old_icon_size,
      magazine_size = 5,
      name = old_ammo_name,
      order = old_ammo_order,
      stack_size = 100,
      subgroup = "ammo",
      type = "ammo"
}
]]--